<?php 

	if(isset($_GET['aprove']) && !empty($_GET['aprove'])){
	    
	    	$id_update = $_GET['aprove'];
	    	
	    	$credito = mysqli_query($con,"SELECT * FROM creditos WHERE id='$id_update'");
	    	$dados = mysqli_fetch_assoc($credito);
	    	
	    	$conta_origem = $dados['conta'];
	    	$cliente = $dados['cliente'];
	    	$valor = $dados['valor'];
	    	
	    $buscar_conta = mysqli_query($con,"SELECT * FROM contas WHERE conta='$conta_origem'");
		$nice_query = mysqli_fetch_assoc($buscar_conta);
		
		$saldo_actual_conta = $nice_query['saldo'];
		$novo_taco_actual = $saldo_actual_conta - $valor;
		
		$query = mysqli_query($con,"SELECT * FROM clientes WHERE nome_cliente='$cliente'");
		$result = mysqli_fetch_assoc($query);
		
		$contacto = $result['cell1'];
		$join = "00258";
		
		$contactoCliente = $join.$contacto;
		
	$smsBody = "Caro $cliente ! Vimos por este meio informar que o seu credito no valor de $valor foi aprovado. Queira por favor fazer-se presente aos nossos escritorios 
	para efeitos de assinatura de contracto. FNS NORTH CRÉDITO, EI.";

		
	$user = $_SESSION['nome'];
	$today = date('Y-m-d');
	$hora = date("H:i", mktime(gmdate("H")+2, gmdate("i"), gmdate("s"), gmdate("m"), gmdate("d"), gmdate("Y")));	
		

	  $actualiza_conta2 = mysqli_query($con,"UPDATE contas SET saldo='$novo_taco_actual' WHERE conta='$conta_origem'");
	$actualiza_credito = mysqli_query($con,"UPDATE creditos SET status='pendente' WHERE id='$id_update'");	

   $reportEntry = mysqli_query($con,"INSERT INTO transacoes(descricao,saida,entrada,saldo,caixa,data,hora,user)
   VALUES('Credito concedito a $cliente','$valor','0','$novo_taco_actual','$conta_origem','$today','$hora','$user')");
	if($reportEntry){
	    
	    	
			$curl = curl_init();
            curl_setopt_array($curl, array(
              CURLOPT_URL => 'https://www.cloud.smschef.com/api/send/sms',
              CURLOPT_RETURNTRANSFER => true,
              CURLOPT_ENCODING => '',
              CURLOPT_MAXREDIRS => 10,
              CURLOPT_TIMEOUT => 0,
              CURLOPT_FOLLOWLOCATION => true,
              CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
              CURLOPT_CUSTOMREQUEST => 'POST',
              CURLOPT_POSTFIELDS => array('secret' => '8e4cf26179ecf84f5721dcba56d3ba273620a5cc','mode' => 'devices','device' => '00000000-0000-0000-4d2f-512a26f5c127','phone' => $contactoCliente,'sim' => '1','priority' => '1','message' => $smsBody),
              CURLOPT_HTTPHEADER => array(
                'Cookie: PHPSESSID=qk4r32jip858icei8e9nosog90'
              ),
            )); 
            
            $response = curl_exec($curl);
            curl_close($curl);
	    
	    
	    $_SESSION['status'] = "Credito concedido com sucesso";
        $_SESSION['status_code'] = "success";
		echo "<script>window.open('../creditos.php','_self')</script>";
    
    }else{
	   		echo "<script>alert('Ocorreu um erro')</script>";

	}
}	





?>